Same problem with destructible on 4.24.